summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activesupport/Manifest1
-rw-r--r--dev-ruby/activesupport/activesupport-7.2.0.ebuild86
-rw-r--r--dev-ruby/concurrent-ruby/Manifest1
-rw-r--r--dev-ruby/concurrent-ruby/concurrent-ruby-1.3.4.ebuild40
-rw-r--r--dev-ruby/railties/railties-7.0.8.4-r1.ebuild72
-rw-r--r--dev-ruby/railties/railties-7.1.3.4-r1.ebuild73
-rw-r--r--dev-ruby/rexml/Manifest1
-rw-r--r--dev-ruby/rexml/rexml-3.3.4.ebuild2
-rw-r--r--dev-ruby/rexml/rexml-3.3.5.ebuild40
-rw-r--r--dev-ruby/useragent/Manifest1
-rw-r--r--dev-ruby/useragent/metadata.xml10
-rw-r--r--dev-ruby/useragent/useragent-0.16.10-r1.ebuild20
12 files changed, 346 insertions, 1 deletions
diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index 07f91732212c..3b0a85069247 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -4,3 +4,4 @@ DIST rails-7.0.8.3.tgz 11080686 BLAKE2B 2d13559e7b7ab752af4fee480ee51f73b4d1f392
DIST rails-7.0.8.4.tgz 11082427 BLAKE2B 2ca521ad92b7a33fa2160b4cfbc1aac826641d2aac7a8751b6acaed1b7fc42bb860b4ade3f973eb51dc17d20fa4c97b02e8d6b970ae63b042cd58ab2f6cfc797 SHA512 e6628e901fcdcd4b9101cdae0cd556569fc7b577466a15f99d1e221c1c0059287dce87c1362df8b23ded992e96c551b35c0c789e683f080079e678555b7a79e6
DIST rails-7.1.3.3.tgz 10905515 BLAKE2B b2be6d8922d15478136875ac80d65fdc54bdf4a03ec17cddc20c20ae847f08fd52a2b1110ed27feb0217f4aa8dd827a8d95847e32eceaf8f5979843312f12a2a SHA512 0d108654a9ab2a9321822742906c4848508e0e4e09600c01bd5a86deeb324540bbae520a954499c4cc83bfe1246f929a581d1667f2b50c463d0bf8187f603df9
DIST rails-7.1.3.4.tgz 10917333 BLAKE2B 3266de2a86f8b107b18117c06115db14791bb98d672403eff28673e9d98df5e2c9a6c30f72d4141cd1f051054f2d5e1f636a93de9b14114cefef384fded7942a SHA512 4c303be256707b5bbedc05bf5bac7c60ff03cb8a14fa3d709a495d07ad1745d6c6f4d5dceb9860afff46f95f3f9fc525d1bcb75894a5b31a9d35f1aa6b105c5e
+DIST rails-7.2.0.tgz 11064433 BLAKE2B 6d5a24f381e81809a030d2bdabfe0b4af68a5407558c3b60c4562c86277c6e823bc9435b3103b5a5f919410ced576e90f0ce83a8d5c5e1002c30f2b16c2f834f SHA512 7f116221f074bc300355985126a32d34eb8a57e90805b1c412eec0aaf02a546f974329b10a3ec21eae2bcb02cca1709fa0a7ee4c145b44eb27e7c67269faa0e5
diff --git a/dev-ruby/activesupport/activesupport-7.2.0.ebuild b/dev-ruby/activesupport/activesupport-7.2.0.ebuild
new file mode 100644
index 000000000000..224d37048f84
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-7.2.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+msgpack test"
+REQUIRED_USE="test? ( msgpack )"
+
+PATCHES=( "${FILESDIR}/${PN}-7.1.1-backport-pr50097.patch" )
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ dev-ruby/base64
+ dev-ruby/bigdecimal
+ >=dev-ruby/concurrent-ruby-1.3.1:1
+ >=dev-ruby/connection_pool-2.2.5
+ dev-ruby/drb
+ >=dev-ruby/i18n-1.6:1
+ >=dev-ruby/minitest-5.1
+ >=dev-ruby/securerandom-0.3
+ >=dev-ruby/tzinfo-2.0.5:2
+ msgpack? ( >=dev-ruby/msgpack-1.7.0 )
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-3.0.1
+ >=dev-ruby/nokogiri-1.8.1
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.3:3
+ dev-ruby/rack:3.0
+ dev-ruby/rexml
+ dev-ruby/mocha
+ >dev-ruby/minitest-5.15.0:*
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|execjs\|jquery-rails\|journey\|ruby-prof\|stackprof\|benchmark-ips\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\|websocket-client-simple\|\libxml-ruby\|bootsnap\|aws-sdk\|webmock\|capybara\|sass-rails\|selenium-webdriver\|webpacker\|webrick\|propshaft\|rack-test\|terser\|cgi\|net-smtp\|net-imap\|net-pop\|digest\|matrix\|web-console\|error_highlight\|jbuilder\|httpclient\|prism\|useragent\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/^group :test/,/^end/ s:^:#:' \
+ -e '/^\s*group :\(db\|doc\|rubocop\|job\|cable\|lint\|mdl\|storage\|ujs\|test\|view\) do/,/^\s*end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+
+ # Avoid test where the result varies with specific ruby releases.
+ rm -f test/core_ext/object/duplicable_test.rb || die
+}
diff --git a/dev-ruby/concurrent-ruby/Manifest b/dev-ruby/concurrent-ruby/Manifest
index 5c7e718f172a..d6de30eaf1e8 100644
--- a/dev-ruby/concurrent-ruby/Manifest
+++ b/dev-ruby/concurrent-ruby/Manifest
@@ -3,3 +3,4 @@ DIST concurrent-ruby-1.2.3.tar.gz 1152422 BLAKE2B 72057ef4db1cc7dd0eb30122671e1c
DIST concurrent-ruby-1.3.1.tar.gz 1153932 BLAKE2B e516528e20f23c1f65f6528b97f5ee61f8cb61cb34703022e2763736a85d4e55ce637df45e9477cc39c93d89b92e63adc23a8966d5c025ba328bf9d148ebe629 SHA512 837705cd37f7c6c16f3ac1f7b0ed5f4f460c8f3dbe87fa1cfc4efd8e70e4c70f62efe7dfd009a4bfc5626fbdda9fabc87a6e1efb82ab03926b6d098a5ead4423
DIST concurrent-ruby-1.3.2.tar.gz 1154379 BLAKE2B 23a3b344fdabf403e8176db941cb953e5d59d41d417021ba2412005f486f4cec88d2bd29aaef6481fc7727759493bc5c9fca8cdb6af832ddd38e1a9f34365f5b SHA512 a74fd5c1df97289b4287d3a20fddd3d4277019288e45227649d3597199c1a47325b626d8c323fc722e6638b8f8433729b541acaa060a7b570a921a78ebb49eec
DIST concurrent-ruby-1.3.3.tar.gz 1154451 BLAKE2B d18d02e94d42f8937b0e662216b3b87ea8fd52fee8c1a110c3d291062055c58e1fa6938dc0e7b9bef0dbbd250e08d648751ed65f460a79494fa2dbb14759184a SHA512 bf6f7883637dd4026d0ae14cca053eaf0c080976a28c5438290787bfafa43fa93c217e58976ada5d764b81a5884f0229d0b29044ac84d770679559803927b12d
+DIST concurrent-ruby-1.3.4.tar.gz 1154935 BLAKE2B f27a8b1deab77b7897d9faadc4ddef9a8dbe55988e0a7cbcfd88a32b0369fbf37ab3c98a8244bae1509ae128d01c283b18716a723b5a3173d8e8f5cef28a37b2 SHA512 d08a20ec465429875ddb1b1bcc7a75e74cfdb3113e4141e7d7f690ddd6fe50af978b7911bf0457a3e535fd79e463e423c34d23f77e645ecb6dd69704b17fdad6
diff --git a/dev-ruby/concurrent-ruby/concurrent-ruby-1.3.4.ebuild b/dev-ruby/concurrent-ruby/concurrent-ruby-1.3.4.ebuild
new file mode 100644
index 000000000000..d4bfd455825f
--- /dev/null
+++ b/dev-ruby/concurrent-ruby/concurrent-ruby-1.3.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Modern concurrency tools including agents, futures, promises, thread pools, more"
+HOMEPAGE="https://github.com/ruby-concurrency/concurrent-ruby"
+SRC_URI="https://github.com/ruby-concurrency/concurrent-ruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/timecop-0.9 )"
+
+all_ruby_prepare() {
+ # Remove edge files as defined in support/file_map.rb
+ rm -rf spec/concurrent/{actor,cancellation,channel,edge,lazy_register,processing,promises,throttle}* || die
+ rm -r spec/concurrent/executor/wrapping_executor_spec.rb || die
+ sed -i -e '/concurrent-edge/ s:^:#:' spec/spec_helper.rb || die
+ sed -i -e 's:lib-edge:lib/concurrent-ruby:' .rspec || die
+ sed -i -e 's:../../../::' spec/concurrent/executor/executor_quits.rb || die
+
+ # Remove specs for the ext gem
+ rm -rf spec/concurrent/atomic || die
+
+ sed -e 's/git ls-files/find * -print/' \
+ -e "s/__dir__/'.'/" \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/railties/railties-7.0.8.4-r1.ebuild b/dev-ruby/railties/railties-7.0.8.4-r1.ebuild
new file mode 100644
index 000000000000..40662c9295e3
--- /dev/null
+++ b/dev-ruby/railties/railties-7.0.8.4-r1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_TASK_TEST="test:regular"
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="railties.gemspec"
+
+RUBY_FAKEGEM_BINDIR="exe"
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Tools for creating, working with, and running Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+# The test suite has many failures, most likely due to a mismatch in
+# exact dependencies or environment specifics. Needs further
+# investigation.
+RESTRICT="test"
+
+RDEPEND+=">=app-eselect/eselect-rails-0.26"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/actionpack-${PV}
+ dev-ruby/thor:1
+ >=dev-ruby/rake-12.2
+ dev-ruby/method_source
+ >=dev-ruby/zeitwerk-2.5:2
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/mocha:0.14
+ )"
+
+all_ruby_prepare() {
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+ sed -i -e '1igem "minitest", "~>4.0"' test/abstract_unit.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ ruby_fakegem_binwrapper rails rails-${PV}
+}
+
+pkg_postinst() {
+ elog "To select between slots of rails, use:"
+ elog "\teselect rails"
+
+ eselect rails update
+}
+
+pkg_postrm() {
+ eselect rails update
+}
diff --git a/dev-ruby/railties/railties-7.1.3.4-r1.ebuild b/dev-ruby/railties/railties-7.1.3.4-r1.ebuild
new file mode 100644
index 000000000000..7b7aab03a013
--- /dev/null
+++ b/dev-ruby/railties/railties-7.1.3.4-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_TEST="test:regular"
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="railties.gemspec"
+
+RUBY_FAKEGEM_BINDIR="exe"
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Tools for creating, working with, and running Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+# The test suite has many failures, most likely due to a mismatch in
+# exact dependencies or environment specifics. Needs further
+# investigation.
+RESTRICT="test"
+
+RDEPEND+=">=app-eselect/eselect-rails-0.27"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activesupport-${PV}
+ dev-ruby/irb
+ >=dev-ruby/rackup-1.0.0
+ >=dev-ruby/rake-12.2
+ >=dev-ruby/thor-1.2.2:1
+ >=dev-ruby/zeitwerk-2.6:2
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/mocha
+ )"
+
+all_ruby_prepare() {
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+ sed -i -e '1igem "minitest", "~>4.0"' test/abstract_unit.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ ruby_fakegem_binwrapper rails rails-${PV}
+}
+
+pkg_postinst() {
+ elog "To select between slots of rails, use:"
+ elog "\teselect rails"
+
+ eselect rails update
+}
+
+pkg_postrm() {
+ eselect rails update
+}
diff --git a/dev-ruby/rexml/Manifest b/dev-ruby/rexml/Manifest
index 97f3752cb14a..2a6bf80f2806 100644
--- a/dev-ruby/rexml/Manifest
+++ b/dev-ruby/rexml/Manifest
@@ -4,3 +4,4 @@ DIST rexml-3.3.0.tar.gz 461623 BLAKE2B d741310000bf06276f7e424fc9a01cf20657d857b
DIST rexml-3.3.1.tar.gz 462490 BLAKE2B 2332c3233bfdd5bec067c548016dd20e8bd97e82e6c924f418242827503221a5ce01f81d9b747967bb984d9768f0652e6402dff41c358f95a643b3783b18e564 SHA512 df35a2481743ac4f857ba1ba6396c37de26e9a306abe763dba943a464be9d5e063e0618182446b6f51011eb04aa6cf094b17e24d9826dd294e02596d5033ac83
DIST rexml-3.3.2.tar.gz 464607 BLAKE2B 44fc74d6fbdbe213c1bdcb97cb54a5cc74bbc1a74ef2531bb5c3c10c94e5fe061e18c096974e2a94c03918ff5e8d40f5d191d473ae3c49ae0a94a58fd8f641b6 SHA512 fd374b2a2b1751f3762ca95d5d2355e64f8fa0de7fa8c4106f36f700e26dfcb8dad8b239399859fef5268195a3d07a19367afea5f01014ab3122e316d4f2168a
DIST rexml-3.3.4.tar.gz 467302 BLAKE2B d8b86d51233ae277eaa25a796a4c895f4cf4d8e49dbc623990596e001c0404fc1cfafbdf5e87773fd773bbd6894511625d26b6ef9f94f75560849006c39a8a37 SHA512 928fbd0df229118c180791e75c7b86d4c9a937c92ba1161db1692ac3cc332bd5c241e4fc1d0d67be9bf97796dfbabe90fb19085a849130dcf7b53274145d784d
+DIST rexml-3.3.5.tar.gz 467588 BLAKE2B e32270fa6411f776e2e325f942a235eea6ee6cd72e33bf28cea69eeb6dbd40cc334f84d30c962093dd5644fb6c2cb77589229b415ae23e31d3899ae26f325f12 SHA512 401441a7c54533a0e01607af62c142cd9d767aa46dbadc5d18dc57e7542ff4518eba4c77206ff6c4ed6113eba87f30730b96469f64701efb5cb08cb578cd5a48
diff --git a/dev-ruby/rexml/rexml-3.3.4.ebuild b/dev-ruby/rexml/rexml-3.3.4.ebuild
index 802c814bb1f9..9fdb1268b198 100644
--- a/dev-ruby/rexml/rexml-3.3.4.ebuild
+++ b/dev-ruby/rexml/rexml-3.3.4.ebuild
@@ -19,7 +19,7 @@ SRC_URI="https://github.com/ruby/rexml/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="3"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
ruby_add_rdepend "dev-ruby/strscan"
diff --git a/dev-ruby/rexml/rexml-3.3.5.ebuild b/dev-ruby/rexml/rexml-3.3.5.ebuild
new file mode 100644
index 000000000000..802c814bb1f9
--- /dev/null
+++ b/dev-ruby/rexml/rexml-3.3.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="NEWS.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An XML toolkit for Ruby"
+HOMEPAGE="https://github.com/ruby/rexml"
+SRC_URI="https://github.com/ruby/rexml/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+ruby_add_rdepend "dev-ruby/strscan"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -i -e 's:require_relative ":require "./:' -e 's/__dir__/"."/' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/bundler/I s:^:#:' Rakefile || die
+
+ # Ensure we use the (new enough) gem version of strscan. The
+ # versions bundled with ruby up to at least 3.3.1 are all too old.
+ sed -e '3igem "strscan"' \
+ -i test/helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} test/run.rb || die
+}
diff --git a/dev-ruby/useragent/Manifest b/dev-ruby/useragent/Manifest
new file mode 100644
index 000000000000..dff7f58806ed
--- /dev/null
+++ b/dev-ruby/useragent/Manifest
@@ -0,0 +1 @@
+DIST useragent-0.16.10.tar.gz 24652 BLAKE2B 8162ae1aaac16a90729605d028c5b96062150ed55d6a2f444b0594eae8b49034f2847b93fca81b95cc4607d34a802fc7fc32d4bdabea7f5aa10214421d6fb813 SHA512 4cb2dd1d824d85bdb3a6fb0dc0455c283b9687a6c50b3e63d96c32518b4cd5336ec61cf942b65a3523c1d02b40135a1d5aaa54b2f5966a2936ffa3ed898ede3a
diff --git a/dev-ruby/useragent/metadata.xml b/dev-ruby/useragent/metadata.xml
new file mode 100644
index 000000000000..246d194b7ec0
--- /dev/null
+++ b/dev-ruby/useragent/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/useragent/useragent-0.16.10-r1.ebuild b/dev-ruby/useragent/useragent-0.16.10-r1.ebuild
new file mode 100644
index 000000000000..4e87773ecb74
--- /dev/null
+++ b/dev-ruby/useragent/useragent-0.16.10-r1.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="HTTP User Agent parser"
+HOMEPAGE="https://github.com/gshutler/useragent"
+SRC_URI="https://github.com/gshutler/useragent/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~sparc"